Subject: Re: [RFC] bridge and friends: reduce TheLinuxWay(tm)

From: Vlad Yasevich <[email-masked]>
Date: Wed, 16 Oct 2013 14:50:50 -0400

On 10/16/2013 02:35 PM, Eric Dumazet wrote:
> On Wed, 2013-10-16 at 13:49 -0400, Jamal Hadi Salim wrote:
>
>> I think we need some filtering in the kernel. As it stands today,
>> unfortunately you get everything ;-> I was suprised at the amount of
>> data i get from the kernel these days when i ask for a simple netdev
>> info (I think no less than 1K per netdev; everything from /proc entries
>> from some bread crumbs i dont see any use for.
>
> By the way, "ip link show dev xxxx" seems to dump all devices info from
> the kernel...
>
>

Right.  ip link show is dumb.  It asks for info from all devices and
then filters based on the device you asked for, but the filtering
is done in iproute instead of the kernel.

brdige command inherited this through code re-use.

-vlad